/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package factura40;

import java.io.Serializable;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 *
 * @author Cato32
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"folios"})
@XmlRootElement(name = "Cancelacion")
public class Cancelacion40 implements Cloneable, Serializable{
    private static final long serialVersionUID = 1L;
    //Inico de los cabezales
    @XmlAttribute(name ="xmlns" , required = true)
    protected String xmlns;
    @XmlAttribute (name ="xmlns:xsd" , required = true)
    protected String xmlnsXsd;
    @XmlAttribute(name ="xmlns:xsi" , required = true)
    protected String xmlnsXsi;
    @XmlAttribute(name ="Fecha", required = true )
    protected String fecha;
    @XmlAttribute(name ="RfcEmisor", required = true)
    protected String rfcEmisor;
    
    //Fin de los cabezale
    @XmlElement(name ="Folios" , required = true)
    protected Cancelacion40.Folios folios;

    public String getXmlns() {
        return xmlns;
    }

    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    public String getXmlnsXsd() {
        return xmlnsXsd;
    }

    public void setXmlnsXsd(String xmlnsXsd) {
        this.xmlnsXsd = xmlnsXsd;
    }

    public String getXmlnsXsi() {
        return xmlnsXsi;
    }

    public void setXmlnsXsi(String xmlnsXsi) {
        this.xmlnsXsi = xmlnsXsi;
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    public String getRfcEmisor() {
        return rfcEmisor;
    }

    public void setRfcEmisor(String rfcEmisor) {
        this.rfcEmisor = rfcEmisor;
    }

    public Folios getFolios() {
        return folios;
    }

    public void setFolios(Folios folios) {
        this.folios = folios;
    }
    
    
    
    
    
    
    
    

    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {"folio"})
    public static class Folios implements Serializable{

       private static final long serialVersionUID = 1L;
       @XmlElement(name ="Folio" , required = true)
       protected List<Cancelacion40.Folios.Folio> folio;

        public List<Folio> getFolio() {
            return folio;
        }

        public void setFolio(List<Folio> folio) {
            this.folio = folio;
        }
       
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class Folio implements Serializable{
            
            private static final long serialVersionUID = 1L;
            
            @XmlAttribute(name ="FolioSustitucion", required = false)
            protected String folioSustitucion;
            @XmlAttribute(name ="Motivo", required = true)
            protected String motivo;
            @XmlAttribute(name ="UUID", required =true)
            protected String uuid;

            public String getFolioSustitucion() {
                return folioSustitucion;
            }

            public void setFolioSustitucion(String folioSustitucion) {
                this.folioSustitucion = folioSustitucion;
            }

            public String getMotivo() {
                return motivo;
            }

            public void setMotivo(String motivo) {
                this.motivo = motivo;
            }

            public String getUuid() {
                return uuid;
            }

            public void setUuid(String uuid) {
                this.uuid = uuid;
            }
            
            
            
            

        }
       
       
       
       
       
    }
    
    
    
    
}
